<?php

	$default_title = "{parent_menu_title}";

	$menu_id = $vars["block_key"];
	
	$html_template = get_setting_value($block, "html_template", "block_navigation.html"); 
  $t->set_file("block_body", $html_template);
	$t->set_var("item_block", "");

	//$visible_depth_level = get_setting_value($vars, "visible_depth_level", 2);
	
	$menu_title = ""; $block_css_class = ""; $parent_menu_class = "";
	$sql = "SELECT * FROM " . $table_prefix . "menus WHERE menu_id = " . $db->tosql($menu_id, INTEGER);
	$db->query($sql);
	if ($db->next_record()) {
		$block_css_class = get_translation($db->f("block_class"));
		$parent_menu_title = get_translation($db->f("menu_title"));
		$parent_menu_class = get_translation($db->f("menu_class"));
	}
	$t->set_var("parent_menu_title", $parent_menu_title);
	$t->set_var("parent_menu_class", $parent_menu_class);

	$menus = array();	
	$sql  = " SELECT * FROM " . $table_prefix . "menus_items ";
	$sql .= " WHERE menu_id = " . $db->tosql($menu_id, INTEGER);
	if (strlen(get_session("session_user_id"))) {
		$sql .= " AND show_logged=1 ";
	} else {
		$sql .= " AND show_non_logged=1 ";
	}
	$sql .= " ORDER BY menu_order";
	$db->query($sql);
	while ($db->next_record()) {
		$menu_item_id = $db->f("menu_item_id");
		$parent_id  = $db->f("parent_menu_item_id");
		$item_url   = $db->f("menu_url");
		$menu_target = $db->f("menu_target");
		$item_title = $db->f("menu_title");
		$item_order = $db->f("menu_order");
		$item_class = $db->f("menu_class");
		$menu_image = $db->f("menu_image");
		$menu_image_active = $db->f("menu_image_active");
		if ($menu_item_id == $parent_id) {
			$parent_id = 0;
		}


		$menus[$menu_item_id]["parent"] = $parent_id;
		$menus[$menu_item_id]["menu_url"] = $item_url;
		$menus[$menu_item_id]["menu_title"] = $item_title;
		$menus[$menu_item_id]["menu_target"] = $menu_target;
		$menus[$menu_item_id]["menu_image"] = $menu_image;
		$menus[$menu_item_id]["menu_image_active"] = $menu_image_active;
		$menus[$menu_item_id]["menu_class"] = $item_class;
		$menus[$menu_item_id]["match_type"] = 2;
		$menus[$parent_id]["subs"][$menu_item_id] = $item_order;
	}
	set_menus($menus, 0, 0);

	$block_parsed = true;

?>