<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "Carrinho de compras ");
	define("SMALL_CART_TITLE", "Meu carrinho");
	define("PRODUCTS_TITLE", "Produtos");
	define("LATEST_PRODUCTS_TITLE", "Latest Products");
	define("RELATED_PRODUCTS_TITLE", "Produtos similares");
	define("TOP_SELLERS_TITLE", "Melhores vendedores");
	define("PRODUCTS_RECOMMENDED_TITLE", "Produtos recomendados");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "Fechar pedido :: Login");
	define("CHECKOUT_INFO_TITLE", "Fechar pedido :: Identificação");
	define("CHECKOUT_PAYMENT_TITLE", "Fechar pedido :: Informações de pagamento");
	define("CHECKOUT_CONFIRM_TITLE", "Fechar pedido :: Confirmação");
	define("CHECKOUT_FINAL_TITLE", "Fechar pedido :: Finalização");
	define("CHANGES_LOG_TITLE", "Histórico de alterações");
	define("COMPARE_TITLE", "Comparar produtos");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "Customers Who Bought This Item Also Bought");

	define("PRODUCT_MSG", "Produto");
	define("PRICES_MSG", "Preços");
	define("OUR_PRICE_MSG", "Nosso preço");
	define("YOU_SAVE_MSG", "Você economiza");
	define("PROD_OPTIONS_MSG", "Opções");
	define("PROD_SUBCOMPONENTS_MSG", "Subcomponentes");
	define("OPTIONS_AND_COMPONENTS_MSG", "Opções e componentes");
	define("PROD_AVAILABILITY_MSG", "Disponibilidade");
	define("PROD_HIGHLIGHT_MSG", "Em destaque");
	define("PROD_SUPER_IMAGE_MSG", "Clique aqui para aumentar a imagem");
	define("PROD_PREVIEW_MSG", "Previsualizar");
	define("PROD_PREVIEW_CLICK_MSG", "Clique aqui para previsualizar");
	define("PROD_DESCRIPTION_MSG", "Descrição");
	define("PROD_SPECIFICATION_MSG", "Especificações");
	define("PROD_IMAGES_MSG", "Imagens");
	define("PROD_ACCESSORIES_MSG", "Acessórios");
	define("PROD_NOTE_MSG", "Nota");
	define("PROD_SHIPPING_MSG", "Frete e envio");
	define("PROD_WEIGHT_MSG", "Peso");
	define("PROD_DOWNLOAD_COLUMN", "Links");
	define("PROD_TITLE_COLUMN", "Produto");
	define("PROD_CODE_MSG", "Codigo");
	define("PROD_QTY_COLUMN", "Qtde");
	define("PROD_PRICE_COLUMN", "Preço");
	define("PROD_TOTAL_COLUMN", "Total");
	define("PROD_TAX_TOTAL_COLUMN", "Total com impostos");
	define("GOODS_TOTAL_MSG", "Subtotal");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "Desconto total");
	define("GOODS_WITH_DISCOUNT_MSG", "Subtotal com descontos");
	define("SHIPPING_TRACKING_NUMBER_MSG", "Número de rastreamento da sua encomenda");
	define("SHIPPING_EXPECTING_MSG", "Data estimada de envio");
	define("SELECT_SHIPPING_METHOD_MSG", "Select Shipping Method");
	define("SHIPPING_METHOD_MSG", "Shipping Method");
	define("PROCESSING_FEE_MSG", "Taxa de processamento");
	define("MY_PRODUCTS_MSG", "Meus produtos");
	define("MY_PRODUCTS_DESC", "Clique aqui para adicionar novos produtos ou alterar os produtos no seu carrinho");
	define("EDIT_PRODUCT_MSG", "Editar produtos");
	define("ORDER_STEP_ONE_MSG", "Step 1. Personal and Delivery Data.");
	define("ORDER_STEP_TWO_MSG", "Step 2. Payment Details.");
	define("ORDER_STEP_THREE_MSG", "Step 3. Order Confirmation.");
	define("PROD_NEW_ERROR", "Não possui permissões para criar um novo produto");
	define("PROD_EDIT_ERROR", "Não possui permissões para editar esse produto");
	define("PROD_DELETE_ERROR", "Não possui permissões para deletar esse produto");
	define("PROD_DELETE_CONFIRM_MSG", "Você quer deletar esse produto?");
	define("PROD_NOT_APPROVED_MSG", "Não aprovado");
	define("PROD_ACTIVE_MSG", "Ativo");
	define("PROD_GENERAL_TAB", "Geral");
	define("PROD_DOWNLOADABLE_TAB", "Produto a baixar / software");
	define("PROD_SPECIAL_OFFER_TAB", "Oferta especial");
	define("PROD_RECURRING_TAB", "Recorrente");
	define("PROD_NOTIFICATION_TAB", "Notificação");
	define("PROD_NOTES_TAB", "Avaliação / Notas");
	define("PROD_GENERAL_INFO_MSG", "Informações gerais do produto");
	define("PROD_SHOWN_MSG", "Disponibilizar esse produto para vender");
	define("PROD_ORDER_MSG", "Pedido do produto");
	define("PROD_TYPE_MSG", "Tipo do produto");
	define("PROD_TYPE_NOTE", "Note: if you select 'Gift Voucher' type the system will automatically generate a gift voucher coupon after placing the order, if you select 'Bundle' then you should add subcomponents to this product as only they are visible on checkout.");
	define("PROD_NAME_MSG", "Nome do produto");
	define("PROD_MANUFACTURER_MSG", "Fabricante (marca)");
	define("PROD_ISSUE_DATE_MSG", "Data de publicação do produto");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Opções adicionais");
	define("PROD_ALLOWED_COMPARISON_MSG", "Permitir comparação do produto");
	define("PROD_TAX_FREE_MSG", "Produto sem impostos");
	define("PROD_LANGUAGE_DESC", "Exibir produto somente para o idioma selecionado");
	define("PROD_PRICING_MSG", "Preços");
	define("PROD_CHANGE_PRICE_MSG", "Autorizar os clientes a alterar o preço");
	define("PROD_LIST_PRICE_MSG", "Preço (lista de preços)");
	define("PROD_DISCOUNT_PRICE_MSG", "Preço com desconto");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Ativar desconto");
	define("PROD_TRADE_PRICE_MSG", "Preço de atacado");
	define("PROD_DISCOUNT_TRADE_MSG", "Desconto no preço de atacado");
	define("PROD_BUYING_PRICE_MSG", "Preço de compra");
	define("PROD_SHOWN_DISCOUNT_MSG", "Desconto exibido (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Opções de preços");
	define("PROD_OPTIONS_PRICE_DESC", "Utilizar esse campo para exibir o preço incluindo as opções de produto para blocos onde as opções não estão disponiveis");
	define("PROD_PRICE_PREVIEW_MSG", "Previsualização do preço (como será exibido na página)");
	define("PROD_APPEARANCE_MSG", "Aparência");
	define("PROD_LANGUAGE_MSG", "Idioma");
	define("CUSTOM_TEMPLATE_MSG", "Modelo personalizado");
	define("HIDE_ADD_BUTTON_MSG", "Ocultar botão '<b>{ADD_TO_CART_MSG}</b>' ");
	define("ON_PROD_LIST_MSG", "na página de lista de produtos");
	define("ON_PROD_DETAILS_MSG", "na página de detalhes de produtos");
	define("ON_TABLE_VIEW_MSG", "on table view list");
	define("ON_GRID_VIEW_MSG", "on grid view list");
	define("ON_SEPARATE_PAGE_MSG", "numa página separada");
	define("ON_CHECKOUT_PROCESS_MSG", "no fechamento do pedido");
	define("PROD_PREVIEW_URL_MSG", "Previsualização da URL do produto");
	define("PROD_STOCK_MSG", "Estoque");
	define("USE_STOCK_MSG", "Utilizar níveis de estoque");
	define("STOCK_QUANTITY_MSG", "Quantidade em estoque");
	define("HIDE_OUT_STOCK_MSG", "Ocultar quando o produto esta sem estoque");
	define("HIDE_OUT_STOCK_DESC", "Não exibir o produto na web se esta sem estoque");
	define("DISABLE_OUT_STOCK_MSG", "Desabilitar produtos sem estoque");
	define("DISABLE_OUT_STOCK_DESC", "Desabilitar botão '<b>{ADD_TO_CART_MSG}</b>' se o produto esta sem estoque");
	define("IN_STOCK_AVAILABILITY_MSG", "Disponível em pronta entrega");
	define("IN_STOCK_AVAILABILITY_DESC", "geralmente é o prazo de entrega do produto que esta em estoque ");
	define("OUT_STOCK_AVAILABILITY_MSG", "Produto sem estoque");
	define("OUT_STOCK_AVAILABILITY_DESC", "geralmente é o prazo de entrega do produto que não esta em estoque ");
	define("SHIPPING_RESTRICTIONS_MSG", "Restrições de entrega");
	define("PROD_OFFER_ACTIVATE_MSG", "Adicionar este produto a seção de ofertas especiais");
	define("PROD_RATING_MSG", "Avaliação do produto");
	define("PROD_DIRECT_LINK_MSG", "Link direto para comprar o produto");
	define("PRODUCTS_REPORT_MSG", "Relatório de produtos");
	define("MERCHANT_SALES_MSG", "Vendas de lojistas");
	define("MERCHANT_SALES_DESC", "Aqui você pode visualizar a lista de vendas relacionadas aos seus produtos. Você também pode verificar o total das comissões geradas.");
	define("AFFILIATE_SALES_MSG", "Vendas de afiliados");
	define("AFFILIATE_SALES_DESC", "Clique aqui para ver a lista das vendas de todos os afiliados à nossa conta. Você pode também verificar aqui todas as comissões geradas.");
	define("COMMISSION_PAYMENTS_MSG", "Pagamentos de comissões");
	define("COMMISSION_PAYMENTS_DESC", "Por favor visite essa seção para receber suas comissões");
	define("PAYMENT_NAME_COLUMN", "Nome do pagamento");
	define("PAYMENT_TOTAL_COLUMN", "Total ");
	define("PAYMENT_DATE_COLUMN", "Data do pagamento");
	define("NO_COMMISSION_PAYMENTS_MSG", "Não foi encontrado nenhum pagamento de comissões");
	define("COMMISSIONS_MSG", "Comissões");
	define("COMMISSION_AMOUNT_COLUMN", "Valor da comissão");
	define("COMMISSION_DATE_COLUMN", "Data da comissão");
	define("NO_COMMISSIONS_MSG", "Não foi encontrada nenhuma comissão");
	define("AFFILIATE_MSG", "Afiliado");
	define("MERCHANT_MSG", "Lojista");
	define("CONTACT_MERCHANT_TITLE", "Fale com o lojista");
	define("PROD_SORT_BY_MSG", "Organizar por");
	define("PROD_SORT_DEFAULT_MSG", "Padrão");
	define("PROD_SORT_MANUFACTURER_MSG", "Fabricante (marca)");
	define("PROD_SORT_CODE_MSG", "Código");
	define("PROD_MOST_POPULAR_MSG", "Mais popular");
	define("PROD_FIELDS_TAB", "Campos");
	define("PROD_TERMS_TAB", "Termos");
	define("PROD_SHOW_TERMS_MSG", "Exibir termos e condições");
	define("PROD_SHOW_TERMS_DESC", "Para submeter o produto, o usuário deve ler e concordar com nossos termos e condições");
	define("PROD_TERMS_USER_ERROR", "Para submeter o produto, você deve ler e concordar com nossos termos e condições");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Número de produtos pode ser adicionado pelo lojista");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "deixa esse campo em branco se você não quiser limitar o número de produtos publicados pelos lojistas");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Infelizmente, você não esta autorizado a adicionar mais que {products_limit} produtos");
	define("FEES_COMMISSIONS_MSG", "Taxas e comissões");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Descontos, taxas e comissões");
	define("DISCOUNT_MSG", "Desconto");
	define("MERCHANT_FEE_MSG", "Taxa do lojista");
	define("AFFILIATE_COMMISSION_MSG", "Comissão do afiliado");
	define("NO_OPTIONS_AVAILABLE_MSG", "Nenhuma opção ou componente disponível");
	define("OPTION_MSG", "Opção");
	define("SUBCOMPONENT_MSG", "Subcomponentes");
	define("SUBCOMPONENT_SELECTION_MSG", "Selecionar subcomponente");
	define("ADD_SUBCOMPONENT_MSG", "Adicionar subcomponente");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "Adicionar seleção de subcomponente");
	define("EDIT_OPTION_MSG", "Editar opção");
	define("OPTION_ORDER_MSG", "Ordem da opção");
	define("OPTION_NAME_MSG", "Nome da opção");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "Controle da opção");
	define("CONTROL_TYPE_USE_DESC", "Para <b>Checkboxes List</b>, <b>ListBox</b>  e  <b>Radio Buttons</b> por favor adicionar os valores nos campos de valores de opções. ");
	define("OPTION_TEXT_MSG", "Texto da opção");
	define("OPTION_STYLE_MSG", "Estilo da opção");
	define("OPTION_STYLE_NOTE", "Utilizar CSS para alterar o layout do bloco da opção");
	define("SHOW_OPTION_MSG", "Exibir propriedades");
	define("OPTION_REQUIRED_MSG", "Opção obrigatória");
	define("OPTIONS_APPEARANCE_MSG", "Aparência das opções");
	define("CONTROL_STYLE_MSG", "Controlar estilo");
	define("CONTROL_STYLE_NOTE", "Utilizar CSS para alterar o layout do controle");
	define("BEFORE_TITLE_HTML_MSG", "Antes do título HTML");
	define("BEFORE_TITLE_HTML_NOTE", "Esse HTML fica antes do nome da opção");
	define("BEFORE_TITLE_COMPONENT_NOTE", "Esse HTML fica antes do nome do componente");
	define("AFTER_TITLE_HTML_MSG", "Depois do título HTML");
	define("AFTER_TITLE_HTML_NOTE", "Esse HTML fica depois do nome da opção");
	define("AFTER_TITLE_COMPONENT_NOTE", "Esse HTML fica depois do nome do componente");
	define("BEFORE_CONTROL_HTML_MSG", "Antes do controle HTML");
	define("BEFORE_CONTROL_HTML_NOTE", "Esse HTML fica antes de cada controle de opção");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "Esse HTML fica antes de cada controle  de componente");
	define("AFTER_CONTROL_HTML_MSG", "Depois do controle HTML");
	define("AFTER_CONTROL_HTML_NOTE", "Esse HTML fica depois de cada controle de opção");
	define("AFTER_CONTROL_COMPONENT_NOTE", "Esse HTML fica depois de cada controle de componente");
	define("END_HTML_MSG", "End HTML");
	define("END_HTML_NOTE", "Esse HTML fica no final do bloco da opção");
	define("END_COMPONENT_NOTE", "Esse HTML fica no final do bloco de componente");
	define("JAVASCRIPT_SETTINGS_MSG", "Configurações de Javascript");
	define("ONCHANGE_EVENT_MSG", "OnChange Event");
	define("ONCLICK_EVENT_MSG", "OnClick Event");
	define("CONTROL_CODE_MSG", "Control Code");
	define("OPTIONS_VALUES_MSG", "Valores de opções");
	define("DESCRIPTION_AND_CODE_MSG", "Descrição e código");
	define("SELLING_MSG", "Desc");
	define("PERCENTAGE_MSG", "Vender");
	define("OPTION_PERCENTAGE_PRICE_DESC", "Percentagem");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "Configure o preço da opção como percentagem do preço original do produto");
	define("USE_MSG", "Comprar");
	define("ACTIVATE_STOCK_CONTROL_MSG", "Utilizar");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "Ativar controle de estoque");
	define("CHECK_STOCK_USE_MSG", "Marcar a seguinte caixa para ativar o controle de estoque para esse valor de opção");
	define("HIDE_MSG", "Por favor ativar o opção Níveis de estoque antes de utilizar a opção 'Hide Off Limits'");
	define("HIDE_IF_OUT_STOCK_MSG", "Ocultar");
	define("HIDE_OPTION_VALUE_DESC", "Ocultar se sem estoque");
	define("PATH_MSG", "Marcar a seguinte caixa para ocultar esse valor de opção se esta sem estoque");
	define("PERIOD_MSG", "Caminho");
	define("STOCK_LEVEL_MSG", "Periodo");
	define("DOWNLOADABLE_OPTIONS_MSG", "Nível de estoque");
	define("ADD_MORE_OPTIONS_QST", "Opções a baixar");
	define("EDIT_SUBCOMP_MSG", "Adicionar mais valores de opções?");
	define("SUBCOMP_ID_MSG", "Editar subcomponente");
	define("SUBCOMP_NAME_MSG", "Identificador do subcomponente");
	define("SUBCOMP_PRICE_MSG", "Nome do subcomponente");
	define("SUBCOMP_PRICE_NOTE", "Preço do subcomponente");
	define("OVERRIDE_PRICE_MSG", "aqui você pode altera o preço básico do produto");
	define("REAL_PRICE_MSG", "Preço alterado");
	define("EDIT_SUBCOMP_SELECTION_MSG", "Preço real");
	define("COMPONENT_ORDER_MSG", "Editar seleção do componente");
	define("COMPONENT_NAME_MSG", "Ordem do componente");
	define("COMPONENT_CONTROL_MSG", "Nome do componente");
	define("COMPONENT_CONTROL_DESC", "Controle do componente");
	define("COMPONENT_STYLE_MSG", "Controle utilizado para especificar subcomponentes adicionais");
	define("USE_CSS_TO_CHANGE_MSG", "Estilo do componente");
	define("SHOW_COMPONENT_MSG", "Utilizar CSS para alterar a layout do bloco do componente");
	define("COMPONENT_REQUIRED_MSG", "Exibir componente");
	define("COMPONENT_APPEARANCE_MSG", "Componente obrigatório");
	define("LIST_OF_SUBCOMPONENTS_MSG", "List of subcomponents");
	define("ADD_MORE_SUBCOMP_QST", "Aparência do componente");
	define("PRODUCT_SELECTION_MSG", "Adicionar mais subcomponentes?");
	define("SELECT_PRODUCT_MSG", "Seleção de produto");
	define("PRODUCT_ID_MSG", "Selecionar produto");
	define("POINTS_MSG", "Código do produto");
	define("PROD_PAY_POINTS_MSG", "Pay with Points for Product(s)");
	define("POINTS_NOT_ALLOWED_MSG", "Not Allowed");
	define("POINTS_ALLOWED_MSG", "Allowed");
	define("ONLY_POINTS_ALLOWED_MSG", "Pay only with points");
	define("POINTS_PRICE_MSG", "Points Price");
	define("POINTS_PRICE_DESC", "leave this field blank if you want a points price to be calculated from a points conversion rate");
	define("POINTS_AMOUNT_MSG", "Points Amount");
	define("REWARD_POINTS_MSG", "Reward Points");
	define("REWARD_POINTS_TYPE_MSG", "Reward Points Type");
	define("REWARD_POINTS_AMOUNT_MSG", "Reward Points Amount");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "Pay with Points System");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "Percentage per product/option selling price");
	define("FIXED_AMOUNT_PER_PROD_MSG", "Fixed amount per product");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "Percentage per product selling price");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "Percentage per (selling price - buying price)");
	define("POINTS_CONVERSION_RATE_MSG", "Conversion rate for money to points");
	define("SHIPPING_PAY_POINTS_MSG", "Pay with Points for Shipping");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "Pay with Points for Order Option(s)");
	define("POINTS_DECIMALS_MSG", "Number of decimals for Points");
	define("ACCUMULATE_POINTS_MSG", "Accumulate points");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "Do you want customers to accumulate points when paying with points?");
	define("POINTS_BALANCE_MSG", "Points balance");
	define("POINTS_REMAINING_MSG", "Points remaining");
	define("POINTS_NEEDED_TOTAL_MSG", "Total points needed");
	define("POINTS_CHECKBOXES_SELECT_MSG", "Use checkboxes to select products and options you want to pay with points.");
	define("POINTS_ENOUGH_ERROR", "Sorry, but you don't have enough points {points_amount} to pay for your order.");
	define("CREDIT_BALANCE_MSG", "Credit Balance");
	define("REWARDS_MSG", "Rewards");
	define("REWARD_CREDITS_MSG", "Reward Credits");
	define("REWARD_CREDITS_TYPE_MSG", "Reward Credits Type");
	define("REWARD_CREDITS_AMOUNT_MSG", "Reward Credits Amount");
	define("REWARD_CREDITS_TOTAL_MSG", "Total Reward Credits");
	define("PRODUCT_REWARDS_MSG", "Product Rewards");
	define("POINTS_AND_CREDITS_MSG", "Points & Credits");
	define("CREDITS_MSG", "Credits");
	define("DISCOUNT_PRICE_TYPE_MSG", "Discount Price Type");
	define("PARENT_OPTION_MSG", "Parent Option");
	define("PARENT_OPTION_DESC", "parent option to be selected to show current option");
	define("PARENT_OPTION_VALUE_MSG", "Parent Option Value");
	define("PARENT_OPTION_VALUE_DESC", "parent option value to be selected to show current option");
	define("PARENT_COMPONENT_SELECTION_MSG", "Parent Component Selection");
	define("PARENT_COMPONENT_MSG", "Parent Component");
	define("ASSIGN_OPTION_MSG", "Assign Option");
	define("ASSIGN_COMPONENT_MSG", "Assign Component");
	define("ONLY_FOR_LABEL_MSG", "Only for <b>Label Control</b>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "Automatically added to all products");
	define("SELECT_OPTION_AND_VALUES_MSG", "Allow you to select this option and option values for each product individually");
	define("SELECT_OPTION_ALL_VALUES_MSG", "Allow you to select this option with all values for each product individually");
	define("SINGLE_TOTAL_PRICE_MSG", "Single total price");
	define("FOR_SPECIFIED_CONTOL_MSG", "For specified control type");
	define("FOR_SPECIFIED_LETTER_MSG", "For specified letter");
	define("FOR_SPECIFIED_NONSPACE_MSG", "For specified non-space letter");
	define("SUMMARY_DISCOUNT_MSG", "Summary Discount");
	define("FREE_CHARGE_CONTROLS_MSG", "Free of charge control types");
	define("FREE_CHARGE_LETTERS_MSG", "Free of charge letters");
	define("FREE_CHARGE_NONSPACE_MSG", "Free of charge non-space letters");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "Maximum number of letters for all control types");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "Maximum number of letters per each control type");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "Maximum number of non-space letters for all control types");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "Maximum number of non-space letters per each control type");
	define("MAX_LIMIT_MSG", "Maximium Limit");
	define("MAX_LIMIT_TYPE_MSG", "Maximium Limit Type");
	define("MAX_LIMIT_LENGTH_MSG", "Maximum Limit Length");
	define("SELLING_PRICE_MSG", "Selling Price");
	define("TRADE_SELLING_PRICE_MSG", "Trade Selling Price");
	define("PERCENTAGE_PRICE_MSG", "Percentage Price");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "Product with ID '<b>{item_id}</b>' no longer exists in the database");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "Product Type with ID '<b>{item_type_id}</b>' no longer exists in the database");
	define("STOCK_AND_SHIPPING_MSG", "Stock & Shipping");
	define("IMAGES_AND_APPEARANCE_MSG", "Images & Appearance");
	define("MINIMUM_ITEMS_QTY_MSG", "Minimum Quantity");
	define("MAXIMUM_ITEMS_QTY_MSG", "Maximum Quantity");
	define("MINIMUM_ITEMS_QTY_NOTE", "minimum allowed number of items to purchase");
	define("MAXIMUM_ITEMS_QTY_NOTE", "maximum allowed number of items to purchase");
	define("QTY_INCREMENT_MSG", "Quantity Increment");
	define("ALLOWED_QUANTITIES_MSG", "Allowed Quantities");
	define("ALLOWED_QUANTITIES_NOTE", "the number of items separated by commas user can add to the cart");
	define("FREE_SHIPPING_MSG", "Free Shipping");
	define("FREE_SHIPPING_DESC", "this option excludes any shipping costs for this product and its weight");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "has been successfully copied to the following products:");
	define("ALREADY_COPIED_MSG", "are already copied to the following products:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "Allow Products Comparison");
	define("FULL_DESCRIPTION_TYPE_MSG", "Full Description Type");
	define("IS_SPECIAL_OFFER_MSG", "Is Special Offer");
	define("HIDE_BUTTON_PROD_LIST_MSG", "Hide Add to Cart button on Products listing Page");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "Hide Add to Cart button on Product Details Page");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "Hide Off Limits Products");
	define("IS_DOWNLOADABLE_MSG", "Is Downloadable");
	define("DIRECT_BUY_LINK_MSG", "Direct Buy Link");
	define("SHIPPING_COST_MSG", "Shipping Cost");
	define("SELECT_ONE_PRODUCT_MSG", "Please select at least one product first.");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "Please select at least one product type first.");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "Add components to other Products");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Add components to other Product Types");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "Copy components to selected Products");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Copy components to selected Product Types");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "has been successfully copied to the following product types:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "are already copied to the following product types:");
	define("CHOOSE_OPTIONS_MSG", "Choose Options");
	define("EDIT_OPTIONS_MSG", "Edit Options");
	define("UPDATE_OPTIONS_MSG", "Update Options");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "Total do pedido");
	define("CONTINUE_SHOPPING_MSG", "Continuar Comprando");
	define("REMOVE_FROM_CART_MSG", "Remover   ");
	define("EMPTY_CART_MSG", "Seu carrinho de compras esta vazio!");
	define("CLEAR_CART_MSG", "Limpar carrinho");
	define("PRE_ORDER_MSG", "Pré-pedido");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "Comprar");
	define("ADD_TO_WISHLIST_MSG", "Add to Wishlist");
	define("VIEW_CART_MSG", "Visualizar seu carrinho");
	define("AMEND_CART_MSG", "Modificar seu carrinho");
	define("MULTI_ADD_MSG", "Multi-Add");
	define("MULTI_ADD_DESC", "add one and more products at once");
	define("MY_SAVED_CARTS_MSG", "Meus carrinhos salvos");
	define("MY_SAVED_CARTS_DESC", "Aqui pode visualizar os carrinhos de compra jà salvos");
	define("NO_CARTS_MSG", "Nenhum carrinho foi encontrado");
	define("SAVE_CART_TITLE", "Salvar seu carrinho");
	define("SAVE_CART_BUTTON", "Salvar carrinho");
	define("SAVE_CART_INFO_MSG", "Você pode salvar seu carrinho para consultá-lo depois. Por favor escolhe um nome para o carrinho e clique no botão 'Salvar carrinho'. Será informado um número único para o carrinho salvo que poderá ser utilizado junto com o nome do carrinho para encontrar o conteúdo atual do seu carrinho. Se você é um usuário registrado, você pode encontrar os seus carrinhos salvos na sua página principal. ");
	define("SAVE_CART_EMAIL_NOTE", "Please enter your email address to receive a copy of your saved cart along with the cart number and cart name.");
	define("CART_NO_FIELD", "Número de carrinho");
	define("CART_NAME_FIELD", "Nome do carrinho");
	define("CART_SAVED_DATE_COLUMN", "Salvo em");
	define("CART_TOTAL_COLUMN", "Total do carrinho");
	define("CART_SAVED_MSG", "Seu carrinho foi salvo. O número do carrinho é <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Encontrar seu carrinho");
	define("RETRIEVE_CART_BUTTON", "Encontrar carrinho");
	define("RETRIEVE_CART_INFO_MSG", "Por favor informar seu número de carrinho e nome de carrinho para encontrar o carrinho salvo anteriormente.");
	define("RETRIEVE_CART_NOTE_MSG", "Por favor note que o carrinho encontrado irá apagar o carrinho atual. Se fizer alterações a esse carrinho, salve o carrinho novamente.");
	define("CART_RETRIEVED_MSG", "Seu carrinho foi encontrado");
	define("RETRIEVE_CART_ERROR", "Não foi possivel encontrar seu carrinho. <br>Por favor verificar que você entrou as informações corretas e tente novamente.");
	define("PROD_NOT_AVAILABLE_ERROR", "O produto não esta mais disponível.");
	define("PROD_OPTIONS_MISSED_ERROR", "Algumas opções para esse produto estão faltando. Por favor verifique a página do produto para selecioná-las");
	define("PROD_PRICE_CHANGED_MSG", "Product price changed");

	define("GOTO_CHECKOUT_MSG", "Fechar pedido");
	define("CHECKOUT_WITHOUT_MSG", "Fechar pedido sem criar conta");
	define("OPEN_AND_CHECKOUT_MSG", "Abrir uma conta e fechar pedido");
	define("REMOVE_FROM_CART_JS", "Você tem certeza que deseja remover {item_type} do seu carrinho de compra?");
	define("CLEAR_CART_JS", "Você tem certeza que deseja remover todos os produtos do seu carrinho?");
	define("CART_QTY_ZERO_JS", "Você vai alterar a quantidade de '{old_quantity}' para '0'.\\nIsso irá remover '{product_name}' do seu carrinho.\\nContinuar?");
	define("ALTER_CART_QTY_JS", "Você vai alterar a quantidade de \\n'{product_name}' de '{old_quantity}' para '{new_quantity}'\\nContinuar?");
	define("ADD_PRODUCT_MSG", "Adicionar esse produto ao seu carrinho de compras?");
	define("PRODUCT_OUT_STOCK_MSG", "Infelizmente não é possível comprar esse produto pois não esta disponivel no nosso estoque.");
	define("REQUIRED_PROPERTY_MSG", "Por favor especifique {property_name} para {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Você não pode adicionar mais que {limit_quantity} itens para {product_name}.");
	define("PRODUCT_MIN_LIMIT_MSG", "You can't add less than {limit_quantity} items for {product_name}.");
	define("PRODUCT_QUANTITY_ERROR", "You can't add {quantity} items for {product_name}.");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "The quantities allowed for this product are: {quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name} foi adicionado ao seu carrinho de compra.");
	define("ADDED_TO_WISHLIST_MSG", "{product_name} has been added to your Wishlist.");
	define("REQUIRED_DELIVERY_MSG", "Por favor escolha a forma de entrega.");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} não pode ser entregue em {country_name}.");
	define("NO_PRODUCT_MSG", "Nenhum produto com este código está disponivel nesta categoria");
	define("NO_PRODUCTS_MSG", "Não foram encontrados produtos para esta categoria");
	define("NO_PRODUCTS_MATCH_MSG", "Não foram encontrados produtos correspondendo ao critério de busca");
	define("FOUND_PRODUCTS_MSG", "Nos encontramos<b>{found_records}</b> produtos que coincidem com o(s) termo(s) '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Download");
	define("PROD_VER_MSG", "Versão do Produto");
	define("PROD_RELEASES_MSG", "Versões de {product_name} ");
	define("PROD_CHANGES_LOG_MSG", "Histórico de alterações de {product_name} ");
	define("CHANGES_LOG_MSG", "Histórico de alterações");
	define("ALL_PRODUCTS_MSG", "Todos os produtos");
	define("ALL_PROD_RELEASES_MSG", "Todas as versões");
	define("NO_PROD_RELEASES_MSG", "Não existe outras versões");
	define("NO_RELEASE_CHANGES_MSG", "Não existe alterações");
	define("SERIAL_NUMBER_MSG", "Número de série");
	define("RECURRING_OPTIONS_MSG", "Opções de pagamento recorrente");
	define("RECURRING_ACTIVATE_MSG", "Ativar pagamentos recorrentes");
	define("RECURRING_PERIOD_MSG", "Periodo de pagamento recorrente");
	define("RECURRING_INTERVAL_MSG", "Intervalo de pagamento recorrente");
	define("RECURRING_INTERVAL_DESC", "Esse é o periodo de cobrança");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Total de pagamentos");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Total de pagamentos a serem efetuados");
	define("RECURRING_PAYMENTS_MADE_MSG", "Pagamentos efetuados");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Pagamentos falhados");
	define("RECURRING_START_DATE_MSG", "Data de início dos pagamentos");
	define("RECURRING_START_DATE_DESC", "A data de início dos pagamentos é a data quando o pagamento recorrente começará ");
	define("RECURRING_END_DATE_MSG", "Data final dos pagamentos");
	define("RECURRING_END_DATE_DESC", "A data final dos pagamentos é a data quando o pagamento recorrente será cancelado ");
	define("RECURRING_LAST_PAYMENT_MSG", "Data do último pagamento");
	define("RECURRING_PLAN_PAYMENT_MSG", "Data planejada de pagamento");
	define("RECURRING_NEXT_PAYMENT_MSG", "Data do próxima pagamento");
	define("RECURRING_METHOD_MSG", "Forma de pagamento recorrente");
	define("RECURRING_NOT_ALLOWED_MSG", "Não é permitido");
	define("RECURRING_NOT_ALLOWED_ERROR", "A forma de pagamento '{payment_name}' não é autorizada para os produtos com pagamento recorrente. Por favor selecione outra forma de pagamento. ");
	define("RECURRING_AUTO_CREATE_MSG", "Criar pedido automaticamente para o próximo pagamento");
	define("RECURRING_AUTO_BILL_MSG", "Criar e cobrar automaticamente para os pedidos com pagamento recorrente");
	define("RECURRING_SHIPPING_MSG", "Aplicar frete para pagamentos recorrentes");
	define("RECURRING_PROCEED_CURRENT_MSG", "Proceed current recurring orders");
	define("SUBSCRIPTION_MSG", "Assinatura");
	define("SUBSCRIPTION_OPTIONS_MSG", "Opções de assinatura");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Ativar assinatura");
	define("SUBSCRIPTION_RECURRING_MSG", "Activate recurring payments for this subscription");
	define("SUBSCRIPTION_NAME_MSG", "Nome da assinatura");
	define("SUBSCRIPTION_FEE_MSG", "Taxa da assinatura");
	define("SUBSCRIPTION_PERIOD_MSG", "Periodo da assinatura");
	define("SUBSCRIPTION_INTERVAL_MSG", "Intervalo da assinatura");
	define("SUBSCRIPTION_INTERVAL_DESC", "Essa é a duração do ciclo de assinatura");
	define("SUBSCRIPTION_SUSPEND_MSG", "Assinatura suspensa");
	define("SUBSCRIPTION_SUSPEND_DESC", "Number of days when all customer activities are suspended ");
	define("SUBSCRIPTION_CANCEL_MSG", "Cancelar assinatura");
	define("SUBSCRIPTION_REWARDS_MSG", "Subscription Rewards");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "Percentage of subscription fee");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "Fixed amount for subscription");
	define("CONFIRM_SUBSCRIPTION_MSG", "Add this subscription to your Shopping Cart?");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name} was added to your Shopping Cart.");
	define("SELECT_SUBSCRIPTION_MSG", "Please select subscription to add to your Shopping Cart.");
	define("NO_ACTIVE_PS_MSG", "Sorry, but there is no active payment system.");
	define("ORDER_STATUS_MSG", "Order Status");
	define("SELECT_ORDER_STATUS_MSG", "select order status");
	define("PRODUCT_STATUS_MSG", "Product Status");
	define("SELECT_PRODUCT_STATUS_MSG", "select product status");

	define("WISHLIST_PRODUCTS_MSG", "Wish List Products");
	define("WISHLIST_NOT_EXISTS_MSG", "The wish list you have requested does not exist.");
	define("WISHLIST_BOUGHT_MSG", "Bought");
	define("WISHLIST_WANTS_MSG", "Wants");
	define("WISHLIST_HAS_MSG", "Has");
	define("FIND_FRIEND_WISHLIST_MSG", "Find a Friend's Wish List");
	define("FIND_WISHLIST_BUTTON", "Find Wish List");
	define("FIND_WISHLIST_DESC", "If you would like to view a Wish List belonging to a friend or family member, perhaps to purchase a gift for them, please enter their e-mail address.");
	define("CONFIRM_WISHLIST_DELETE_MSG", "Are you sure you want delete this wishlist item?");

	define("COUPON_MSG", "Cupom");
	define("COUPON_NOT_FOUND_MSG", "Não foi encontrado nenhum cupom com esse código");
	define("COUPON_NON_ACTIVE_MSG", "Este cupom não esta ativo.");
	define("COUPON_USED_MSG", "Este cupom já foi utilizado");
	define("COUPON_EXPIRED_MSG", "Este cupom expirou.");
	define("COUPON_EXCLUSIVE_MSG", "Este cupom não pode ser utilizado com os cupons já aplicados. ");
	define("COUPON_APPLIED_MSG", "Este cupom já foi aplicado.");
	define("COUPON_PRODUCTS_MSG", "Desculpe, este cupom não pode ser utilizado com os produtos do seu carrinho de compra.");
	define("COUPON_ORDER_AMOUNT_MSG", "Desculpe, este cupom não pode ser utilizado para esta compra. <br>O valor mínimo para este cupom é {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Desculpe, este cupom não pode ser utilizado para este produto. <br>Valor mínimo para este cupom é {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Remover cupom");
	define("COUPON_CODE_FIELD", "Cupom");
	define("COUPON_UPCOMING_MSG", "This coupon can't be used yet.");
	define("COUPON_CANT_BE_USED_MSG", "You are not allowed to use this coupon.");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "This coupon can be used only once by registered users.");
	define("COUPON_SAME_USE_LIMIT_MSG", "This coupon can be used only {use_limit} times by registered users.");
	define("COUPON_ADDED_MSG", "The coupon has been successfully added to the cart.");
	define("COUPON_MIN_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Minimum quantity for this coupon is {min_quantity}.");
	define("COUPON_MAX_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Maximum quantity for this coupon is {max_quantity}.");
	define("COUPON_CANT_BE_APPLIED_ERROR", "Sorry, but this coupon cannot be applied for your current purchase.");
	define("MIN_CART_COST_ERROR", "Minimum cart amount for this coupon is {cart_amount}");
	define("MAX_CART_COST_ERROR", "Maximum cart amount for this coupon is {cart_amount}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "No users were found");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "Nome do titular do cartão");
	define("CC_NAME_DESC", "como aparece no cartão");
	define("CC_FIRST_NAME_FIELD", "Nome");
	define("CC_LAST_NAME_FIELD", "Sobrenome");
	define("CC_NUMBER_FIELD", "Número do cartão");
	define("CC_NUMBER_ERROR_MSG", "Desculpe, mas parece ter problemas com o número do seu cartão - Favor checar e tentar novamente.");
	define("CC_NUMBER_ALLOWED_MSG", "Desculpe, mas esse número de cartão de crédito não é autorizado para este pagamento");
	define("CC_START_DATE_FIELD", "Data inicio");
	define("CC_EXPIRY_DATE_FIELD", "Data expiração");
	define("CC_TYPE_FIELD", "Tipo de cartão");
	define("CC_ISSUE_NUMBER_FIELD", "Número de expedição");
	define("CC_ISSUE_NUMBER_DESC", "Somente cartões Solo e Switch");
	define("CC_SECURITY_CODE_FIELD", "Código de segurança");
	define("CC_SECURITY_CODE_HELP_MSG", "Precisa de ajuda?");
	define("CC_SECURITY_CODE_TITLE", "Código de segurança?");
	define("CC_SECURITY_CODE_1_DESC", "O código de segurança do cartão é um número unico de três dígitos impresso em seu cartão do débito/crédito. Este número  não é impresso em recibos - dificultando para qualquer um de conhece-lo. Alguns cartões consultam a este número como do 'o código de segurança cartão' outro como 'o código de segurança pessoal' e outro como do 'o valor da verificação cartão'.");
	define("CC_SECURITY_CODE_2_DESC", "Na maioria dos cartões, o código de segurança é o número de três digitos impresso no alto da faixa da assinatura no verso do cartão.");
	define("PAY_WITHOUT_CC_MSG", "Se você não quiser pagar com cartão de crédito, marque aqui");
	define("PAY_WITHOUT_CC_FIELD", "Informações sobre outras formas de pagamento");
	define("PAY_WITHOUT_CC_DESC", "Diga-nos como você gostaria de pagar suas compras");

	define("ORDER_NUMBER_COLUMN", "Número");
	define("ORDER_ADDED_COLUMN", "Data do pedido");
	define("ORDER_TOTAL_COLUMN", "Total");
	define("ORDER_NUMBER_MSG", "Número do pedido");
	define("PARENT_ORDER_NUMBER_MSG", "Nº pedido de origem");
	define("ORDER_DATE_MSG", "Data do pedido");
	define("ORDER_TOTAL_MSG", "TOTAL");
	define("INVOICE_MSG", "Fatura");
	define("INVOICE_NUMBER_MSG", "Invoice Number");
	define("INVOICE_DATE_MSG", "Invoice Date");
	define("INVOICE_TO_MSG", "Fatura A/C");
	define("ORIGINAL_COPY_MSG", "Original Copy");
	define("COPY_NUMBER_MSG", "Copy #{copy_number}");
	define("CREDIT_NOTE_MSG", "Credit Note");
	define("CREDIT_NUMBER_MSG", "Credit number");
	define("CREDIT_DATE_MSG", "Credit Date");
	define("CREDIT_TO_MSG", "Credit to");
	define("DELIVERY_TO_MSG", "Entregar para");
	define("PAYMENT_GATEWAY_MSG", "Tipo de Pagamento");
	define("SELECT_PAYMENT_MSG", "Favor selecionar o tipo de pagamento");
	define("GOTO_PAYMENT_MSG", "Você será redirecionado para {payment_system}. Se nada acontecer por favor clique \"{button_name}\" para prosseguir. ");
	define("MY_ORDERS_MSG", "Meus pedidos");
	define("MY_ORDERS_DESC", "Depois de colocar seu pedido conosco, você poderá acompanhar a situação do seu pedido e verificar os detalhes do pedido.");
	define("MY_SALES_ORDERS_MSG", "Minhas vendas");
	define("MY_SALES_ORDERS_DESC", "Permite rastrear as vendas do seus lojistas");
	define("PURCHASED_ORDERS_MSG", "Pedidos comprados");
	define("NO_ORDERS_MSG", "Nenhum pedido foi encontrado");
	define("NO_ORDERS_MATCH_MSG", "Nenhum pedido foi encontrado correspondendo ao critério de busca");
	define("VIEW_ORDER_DETAILS_MSG", "Ver Detalhes");
	define("ORDER_DETAILS_MSG", "Detalhes do pedido");
	define("PAYMENT_DETAILS_MSG", "Detalhes de Pagamento");
	define("CHECKOUT_SUCCESS_TITLE", "Seu pedido foi enviado com sucesso!");
	define("CHECKOUT_SUCCESS_MSG", "Obrigado pelo seu pedido. Seu número para referência é {order_id}");
	define("CHECKOUT_PENDING_TITLE", "Seu pedido está pendente");
	define("CHECKOUT_PENDING_MSG", "Sua transação não foi finalizada e está aguardando aprovação.");
	define("CHECKOUT_ERROR_TITLE", "Erro no pedido");
	define("CHECKOUT_ERROR_MSG", "Ocorreu um erro ao processar seu pedido. Nós pedimos desculpas por toda a inconveniência causada. ");
	define("ORDER_CODE_ERROR", "O parâmetro de verificação está errado. ");
	define("ORDER_PLACED_ERROR", "<b>Pedido</b> já foi colocada.");
	define("ORDER_EXISTS_ERROR", "Esse <b>pedido</b> não existe.");
	define("ORDER_NOTES_MSG", "Informações adicionais do pedido");
	define("ORDER_NOTE_MSG", "Informação adicional do pedido");
	define("CANCEL_ORDER_MSG", "Cancelar pedido");
	define("CANCEL_ORDER_CONFIRM_MSG", "Voce tem certeza que quer cancelar este pedido?");
	define("GROSS_SALES_MSG", "Vendas brutas");
	define("FEES_MSG", "Taxas");
	define("NET_SALES_MSG", "Vendas líquidas");
	define("ITEMS_NUMBER_COLUMN", "Número de itens");
	define("AVERAGE_PRICE_COLUMN", "Preço médio");
	define("PAID_STATUS_MSG", "Situação: pago");
	define("PAID_MSG", "Pago");
	define("NOT_PAID_MSG", "Não pago");
	define("PAY_FOR_YOUR_ORDER_MSG", "Pague seu pedido");
	define("REORDER_MSG", "Reorder");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Custo mínimo das mercadorias por pedido");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Custo máximo das mercadorias por pedido");
	define("ORDER_MIN_WEIGHT_FIELD", "Peso mínimo do pedido");
	define("ORDER_MAX_WEIGHT_FIELD", "Peso máximo do pedido");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "O custo total das mercadorias por pedido não pode ser menor que {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "O custo total das mercadorias por pedido não pode ser maior que  {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "O peso total das mercadorias por pedido não pode ser menor que  {min_weight}.");
	define("ORDER_MAX_WEIGHT_ERROR", "O peso total das mercadorias por pedido não pode ser maior que {max_weight}.");
	define("PURCHASED_PRODUCT_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it.");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it within {days_number} days.");
	define("PREVENT_REPURCHASE_MSG", "Prevent repurchase");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "Prevent customers from repurchasing the same product more than once within a specified period.");
	define("REPURCHASE_PERIOD_MSG", "Repurchase Period");
	define("REPURCHASE_PERIOD_DESC", "leave this field blank if you want stop customers from repurchasing the same product at all");
	define("MANUFACTURER_CODE_MSG", "Referência do fabricante");
	define("SHOW_MANUFACTURER_CODE_MSG", "Show Manufacturer Code");
	define("APPROPRIATE_CODE_ERROR_MSG", "Can't find appropriate order");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "Can't find appropriate php library");
	define("LINKS_SENT_MSG", "Links sent");
	define("LINKS_FOR_ORDER_MSG", "Links For Your Order #");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "Serial Numbers For Your Order #");
	define("SERIAL_NUMBERS_SENT_MSG", "Serial Numbers sent");
	define("NO_SERIAL_NUMBERS_MSG", "No serials numbers available");
	define("ADD_GIFT_VOUCHER_MSG", "Add Gift Voucher");
	define("GIFT_VOUCHERS_MSG", "Gift Vouchers");
	define("EDIT_GIFT_VOUCHER_MSG", "Edit Gift Voucher");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "Gift Vouchers For Your Order #");
	define("GIFT_VOUCHERS_SENT_MSG", "Gift Vouchers sent");
	define("CREDIT_AMOUNT_MSG", "Credit Amount");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "Subtract credit amount from user balance");
	define("ADD_CREDIT_AMOUNT_MSG", "Add credit amount to user balance");
	define("CREDIT_ACTION_MSG", "Credit Action");
	define("PACKING_SLIP_NO_MSG", "Packing Slip No: ");
	define("REGISTER_PRODUCT_MSG", "Register Product");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "My Registered Products");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "Register more products");
	define("REGISTRATION_NUMBER_MSG", "Registration Number");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "No Product Registrations");
	define("REGISTRATION_PROD_CODE_COLUMN", "Code");
	define("REGISTRATION_TOTAL_COLUMN", "Total");
	define("REGISTRATION_PROD_TITLE_COLUMN", "Title");
	define("PRODUCT_REGISTRATION_MSG", "Product Registration");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "Products Registration Settings");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "View Registered Products");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "Edit Registered Products");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "Edit Registration Categories");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "Edit Products Registrations");
	define("OPTIONS_TRADE_PRICE_MSG", "Options Trade Price");
	define("DEFAULT_LARGE_IMAGE_DESC", "shown if product doesn't have large image");
	define("DEFAULT_LARGE_IMAGE_MSG", "Default Large Image");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "Latest Added Registrations");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "Latest Modified Registrations");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "Latest Added Registration Products");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "Latest Modified Registration Products");
	define("REGISTRATION_PRODUCTS_MSG", "Registration Products");
	define("NO_REGISTRATION_PRODUCTS_MSG", "No Products Registration");
	define("BY_REGISTRATION_NUMBER_MSG", "By Registration Number");
	define("BY_PRODUCT_ID_MSG", "By Product ID");
	define("SEARCH_REGISTRATIONS_MSG", "Search Registrations");
	define("SELECT_REGISTRATIONS_NOTE", "Select Registrations");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "Remove selected registrations");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "Edit Registration Category");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "Edit Registration");
	define("IM_DONE_REGISTERING_MSG", "Im done registering");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "Placed Email");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "Approved Email");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "Declined Email");
	define("STORE_NAME_FORM_MSG", "purchased from (Store name)");
	define("PREDEFINED_ORDER_EMAIL_MSG", "Predefined Order Email");
	define("DATE_OF_PURCHASE_MSG", "Date of purchase");
	define("STORE_NAME_MSG", "Store Name");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "There are no products in selected category. Please, select another one.");
	define("REGISTRATION_ID_MSG", "Registration ID");
	define("DAY_OF_PURCHASE_MSG", "Day of purchase");
	define("MONTH_OF_PURCHASE_MSG", "Month of purchase");
	define("YEAR_OF_PURCHASE_MSG", "Year of purchase");
	define("MERCHANT_STATUS_NOTIFY_MSG", "Send notification to Merchant(s) if status applied");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "Merchant email used if is empty");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "Send notification to Administrator(s) if status applied");
	define("SUPPLIER_NOTIFY_MSG", "Supplier notification");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "Send notification to Supplier(s) if status applied");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "Supplier email used if is empty");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "Recurring Price");
	define("RECURRING_PRICE_DESC", "this amount will be added to all recurring payments");
	define("CART_PRODUCTS_MSG", "Cart Products");
	define("CART_RESTRICTIONS_MSG", "Cart Restrictions");
	define("CART_QUANTITY_MSG", "Cart Quantity");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "Subcomponent added only once with specified quantity");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "Multiply subcomponent quantity by parent product quantity");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "Customers Who Bought This Item");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "View Merchant's Products");
	define("SHIPPING_CALCULATOR_MSG", "Shipping Calculator");
	define("NO_SHIPPING_METHODS_MSG", "No shipping methods were found");
	define("NO_SHIPPING_MSG", "No Shipping");
	define("CUSTOM_SHIPPING_MSG", "Custom Shipping");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "Add more columns?");
	define("DEFAULT_TABLE_VIEW_MSG", "Default Table View");
	define("OVERRIDE_TABLE_VIEW_MSG", "Override Table View");
	define("TABLE_VIEW_TYPE_MSG", "Table View Type");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name} parameter has wrong value.");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "Can't obtain {param_name} parameter.");
	define("TRANSACTION_DECLINED_MSG", "Your transaction has been declined.");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "Unexpected response format from gateway.");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "Empty response from gateway. Please check your settings.");
	define("CURL_INIT_ERROR_MSG", "Can't initialize cURL.");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "There has occurred an error while processing the transaction.");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS module error: {param_name} is required.");

	define("STATUS_NEW_ORDER_MSG", "New Order");
	define("STATUS_PAYMENT_DATA_MSG", "Payment Data");
	define("STATUS_CONFIRMED_MSG", "Confirmed");
	define("STATUS_PAID_MSG", "Paid");
	define("STATUS_SHIPPED_MSG", "Shipped");
	define("STATUS_PENDING_MSG", "Pending");
	define("STATUS_CLOSED_MSG", "Closed");
	define("STATUS_DECLINED_MSG", "Declined");
	define("STATUS_VALIDATED_MSG", "Validated");
	define("STATUS_FAILED_MSG", "Failed");
	define("STATUS_DISPATCHED_MSG", "Dispatched");
	define("STATUS_CANCELLED_MSG", "Cancelled");
	define("STATUS_REFUNDED_MSG", "Refunded");
	define("STATUS_CAPTURED_MSG", "Captured");
	define("STATUS_VOIDED_MSG", "Voided");
	define("STATUS_AUTHORIZED_MSG", "Authorized");
	define("STATUS_INVOICE_SENT_MSG", "Invoice Sent");

?>