<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// support messages
	define("SUPPORT_TITLE", "Centrum podpory");
	define("SUPPORT_REQUEST_INF_TITLE", "Žiadosť o informáciu");
	define("SUPPORT_REPLY_FORM_TITLE", "Odpovedať");
	define("SUPPORT_SHORT_TITLE", "Support");

	define("MY_SUPPORT_ISSUES_MSG", "Moje žiadosti o podporu");
	define("MY_SUPPORT_ISSUES_DESC", "Ak máte akékoľvek problémy s produktami, ktoré ste u nás zakúpili, náš tím podpory zákazníkom je pripravený Vám pomôcť. Pre zadanie požiadavky stačí kliknúť na hornú linku");
	define("NEW_SUPPORT_REQUEST_MSG", "Nová požiadavka");
	define("SUPPORT_REQUEST_ADDED_MSG", "Ďakujeme<br>Náš tím podpory sa pokúsi pomôcť s Vašou požiadavkou tak rýchlo, ako to len bude možné.");
	define("SUPPORT_SELECT_DEP_MSG", "Zvoliť oddelenie");
	define("SUPPORT_SELECT_PROD_MSG", "Zvoliť produkt");
	define("SUPPORT_SELECT_STATUS_MSG", "Zvoliť stav");
	define("SUPPORT_NOT_VIEWED_MSG", "Neprezreté");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Prezreté zákazníkom");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Prezreté administrátorom");
	define("SUPPORT_STATUS_NEW_MSG", "Nová");
	define("NO_SUPPORT_REQUEST_MSG", "Žiadne dotazy nenájdené");

	define("SUPPORT_SUMMARY_COLUMN", "Sumár");
	define("SUPPORT_TYPE_COLUMN", "Typ");
	define("SUPPORT_UPDATED_COLUMN", "Naposledy aktualizované");

	define("SUPPORT_USER_NAME_FIELD", "Vaše meno");
	define("SUPPORT_USER_EMAIL_FIELD", "Vaša emailová adresa");
	define("SUPPORT_IDENTIFIER_FIELD", "Identifikátor (číslo faktúry)");
	define("SUPPORT_ENVIRONMENT_FIELD", "Prostredie (OS, Databáza, Web Server, atď.)");
	define("SUPPORT_DEPARTMENT_FIELD", "Oddelenie");
	define("SUPPORT_PRODUCT_FIELD", "Produkt");
	define("SUPPORT_TYPE_FIELD", "Typ");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Momentálny status");
	define("SUPPORT_SUMMARY_FIELD", "Jednoriadkový sumár");
	define("SUPPORT_DESCRIPTION_FIELD", "Popis");
	define("SUPPORT_MESSAGE_FIELD", "Správa");
	define("SUPPORT_ADDED_FIELD", "Pridaný");
	define("SUPPORT_ADDED_BY_FIELD", "Pridal");
	define("SUPPORT_UPDATED_FIELD", "Naposledy aktualizované");

	define("SUPPORT_REQUEST_BUTTON", "Odoslať požiadavku");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Chýba <b>Podpora ID</b> parameter");
	define("SUPPORT_MISS_CODE_ERROR", "Chýba <b>kontrolný</b> parameter");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Podpora ID</b> parameter má nesprávnu hodnotu");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Kontrolný</b> parameter má nesprávnu hodnotu");

	define("MAIL_DATA_MSG", "Mail Data");
	define("HEADERS_MSG", "Headers");
	define("ORIGINAL_TEXT_MSG", "Original Text");
	define("ORIGINAL_HTML_MSG", "Original HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to close tickets.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to reply tickets.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to create new tickets.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to remove tickets.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to update tickets.<br>");
	define("NO_TICKETS_FOUND_MSG", "No tickets were found.");
	define("HIDDEN_TICKETS_MSG", "Hidden Tickets");
	define("ALL_TICKETS_MSG", "All Tickets");
	define("ACTIVE_TICKETS_MSG", "Active Tickets");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "You are not assigned to this department.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "You are not assigned to any department.");
	define("REPLY_TO_NAME_MSG", "Reply to {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Knowledge Category");
	define("KNOWLEDGE_TITLE_MSG", "Knowledge Title");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Knowledge Article Status");
	define("SELECT_RESPONSIBLE_MSG", "Select Responsible");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Issue");
	define("TICKET_QUESTION_MSG", "Question");
	define("TICKET_WISH_REQUEST_MSG", "Wish/Request");
	define("TICKET_OTHER_MSG", "Other");
	define("TICKET_QUOTE_MSG", "Quote");
	//ticket statuses
	define("TICKET_NEW_MSG", "New");
	define("TICKET_ANSWERED_MSG", "Answered");
	define("TICKET_REQUEST_INFO_MSG", "Request More Information");
	define("TICKET_INVESTIGATING_MSG", "Investigating");
	define("TICKET_CLOSED_MSG", "Closed");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Assigned to Manager");
	define("TICKET_CUSOMER_REPLY_MSG", "Customer Reply");
	define("TICKET_ADDED_KB_MSG", "Added to Knowledge Base ");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>